## vux 0.4.9

=== debian/changelog ===
vux (0.4.9) unstable; urgency=low

  * Changed interpreter from zsh-beta to zsh (closes: #279485)
  * Added vuxctl after option for quitting after the current song ends.
  * Added middle rating method.
  * Added inverse decrease and increase methods.
  * Added probablilities to -x r. 

 -- Brian Nelson <bnelson@debian.org>  Thu,  4 Nov 2004 12:25:17 -0800
