=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Brian Nelson <bnelson@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
-Standards-Version: 3.6.0
+Standards-Version: 3.6.1
 
 Package: vux
 Architecture: all
-Depends: zsh-beta (>> 4.1.0-dev-7), vorbis-tools, mpg321 | mp3-decoder, lockfile-progs
+Depends: zsh (>> 4.2.1-8), vorbis-tools, mpg321 | mp3-decoder, lockfile-progs
 Description: A rating-based, random ogg and mp3 player
  vux is a command-line ogg and mp3 utility that plays songs according to
  a rating system designed to keep track of user listening habits.  By
